From 712dd139243c4ec8e48b4db1fa1109c3437081f3 Mon Sep 17 00:00:00 2001
From: Matthias van de Meent <boekewurm+postgres@gmail.com>
Date: Mon, 15 Jan 2024 21:20:38 +0100
Subject: [PATCH v1] incremental backups: Add new items to glossary,
 monitoring.sgml

The previous patches seem to have overlooked this.
---
 doc/src/sgml/glossary.sgml   | 37 ++++++++++++++++++++++++++++++++++++
 doc/src/sgml/monitoring.sgml | 18 +++++++++++++++++-
 2 files changed, 54 insertions(+), 1 deletion(-)

diff --git a/doc/src/sgml/glossary.sgml b/doc/src/sgml/glossary.sgml
index 5815fa4471..0f9d48a7dd 100644
--- a/doc/src/sgml/glossary.sgml
+++ b/doc/src/sgml/glossary.sgml
@@ -893,6 +893,29 @@
     </para>
    </glossdef>
   </glossentry>
+  <glossentry id="glossary-incremental-backup">
+   <glossterm>Incremental Backup</glossterm>
+   <glossdef>
+    <para>
+     A backup that contains only the data that was potentially changed since
+     the previous <glossentry id="glossary-basebackup">base backup</glossentry>
+     and other incremental backups. It is often (but not always) smaller than
+     the WAL that generated the changes between the last basebackup and the
+     end of this incremental backup. Like base backups, it is generated by the
+     tool <xref linkend="app-pgbasebackup"/>.
+    </para>
+    <para>
+     In combination with <glossterm linkend="glossary-wal">WAL</glossterm>
+     data, recent incremental backups and a base backup this can restore a
+     <glossterm linkend="glossary-db-cluster"database cluster</glossterm> to
+     a consistent state without having to replay all the WAL that was generated
+     since the last base backup.
+    </para>
+    <para>
+     For more information, see <xref linkend="backup-incremental-backup"/>
+    </para>
+   </glossdef>
+  </glossentry>
 
   <glossentry id="glossary-insert">
    <glossterm>Insert</glossterm>
@@ -2157,6 +2180,20 @@
    </glossdef>
   </glossentry>
 
+  <glossentry id="glossary-wal-summarizer">
+   <glossterm>WAL summarizer (process)</glossterm>
+   <glossdef>
+    <para>
+     A special <glossterm linkend="glossary-backend">backend process</glossterm>
+     that summarizes WAL data for
+     <glossterm linkend="glossary-incremental-backup">incremental backups</glossterm>.
+    </para>
+    <para>
+     For more information, see <xref linkend="runtime-config-wal-summarization"/>
+    </para>
+   </glossdef>
+  </glossentry>
+
   <glossentry id="glossary-wal-writer">
    <glossterm>WAL writer (process)</glossterm>
    <glossdef>
diff --git a/doc/src/sgml/monitoring.sgml b/doc/src/sgml/monitoring.sgml
index b804eb8b5e..6135d7a270 100644
--- a/doc/src/sgml/monitoring.sgml
+++ b/doc/src/sgml/monitoring.sgml
@@ -999,7 +999,8 @@ postgres   27093  0.0  0.0  30096  2752 ?        Ss   11:34   0:00 postgres: ser
        <literal>client backend</literal>, <literal>checkpointer</literal>,
        <literal>archiver</literal>, <literal>standalone backend</literal>,
        <literal>startup</literal>, <literal>walreceiver</literal>,
-       <literal>walsender</literal> and <literal>walwriter</literal>.
+       <literal>walsender</literal>, <literal>walwriter</literal> and
+       <literal>walsummarizer</literal>.
        In addition, background workers registered by extensions may have
        additional types.
       </para></entry>
@@ -4062,6 +4063,21 @@ description | Waiting for a newly initialized WAL file to reach durable storage
    </para>
   </note>
 
+  <note>
+   <para>
+    Every time an index is searched, the index's
+    <structname>pg_stat_all_indexes</structname>.<structfield>idx_scan</structfield>
+    field is incremented.  This usually happens once per index scan node
+    execution, but might take place several times during execution of a scan
+    that searches for multiple values together.  Queries that use certain
+    <acronym>SQL</acronym> constructs to search for rows matching any value
+    out of a list (or an array) of multiple scalar values might perform
+    multiple <quote>primitive</quote> index scans (up to one primitive scan
+    per scalar value) at runtime.  See <xref linkend="functions-comparisons"/>
+    for details.
+   </para>
+  </note>
+
  </sect2>
 
  <sect2 id="monitoring-pg-statio-all-tables-view">
-- 
2.40.1

